import request from '@/utils/request'

// 查询工单用户信息列表
export function listCsOrderMemberUser(query) {
  return request({
    url: '/cs/csOrderMemberUser/list',
    method: 'get',
    params: query
  })
}

// 查询工单用户信息详细
export function getCsOrderMemberUser(memberUserId) {
  return request({
    url: '/cs/csOrderMemberUser/' + memberUserId,
    method: 'get'
  })
}

// 新增工单用户信息
export function addCsOrderMemberUser(data) {
  return request({
    url: '/cs/csOrderMemberUser',
    method: 'post',
    data: data
  })
}

// 修改工单用户信息
export function updateCsOrderMemberUser(data) {
  return request({
    url: '/cs/csOrderMemberUser',
    method: 'put',
    data: data
  })
}
//修改用户状态
export function updateUserStatus(data) {
  return request({
    url: '/cs/csOrderMemberUser/updateUserStatus',
    method: 'post',
    data: data
  })
}
// 删除工单用户信息
export function delCsOrderMemberUser(memberUserId) {
  return request({
    url: '/cs/csOrderMemberUser/' + memberUserId,
    method: 'delete'
  })
}
// 重置用户密码
export function resetPassword(data) {
  return request({
    url: '/cs/csOrderMemberUser/resetPassword',
    method: 'post',
    data: data
  })
}
// 用户画像-团队成员列表
export function selectTeamMemberList(query) {
  return request({
    url: '/cs/csOrderMemberUser/selectTeamMemberList',
    method: 'get',
    params: query
  })
}

// 用户画像-团队成员列表
export function paymentDetailsList(query) {
  return request({
    url: '/cs/csPaymentDetails/list',
    method: 'get',
    params: query
  })
}
// 用户画像-成果数量列表
export function getUserAchievementNum(query) {
  return request({
    url: '/cs/csAchievementInfoDetails/getUserAchievementNum',
    method: 'get',
    params: query
  })
}


